%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  growR
%global packver   1.3.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.3.0
Release:          1%{?dist}%{?buildtag}
Summary:          Implementation of the Vegetation Model ModVege

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch
BuildRequires:    R-CRAN-rlang 
BuildRequires:    R-CRAN-R6 
BuildRequires:    R-utils 
BuildRequires:    R-CRAN-Rdpack 
Requires:         R-CRAN-rlang 
Requires:         R-CRAN-R6 
Requires:         R-utils 
Requires:         R-CRAN-Rdpack 

%description
Run grass growth simulations using a grass growth model based on ModVege
(Jouven, M., P. Carrère, and R. Baumont "Model Predicting Dynamics of
Biomass, Structure and Digestibility of Herbage in Managed Permanent
Pastures. 1. Model Description." (2006)
<doi:10.1111/j.1365-2494.2006.00515.x>). The implementation in this
package contains a few additions to the above cited version of ModVege,
such as simulations of management decisions, and influences of snow cover.
As such, the model is fit to simulate grass growth in mountainous regions,
such as the Swiss Alps. The package also contains routines for calibrating
the model and helpful tools for analysing model outputs and performance.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
